Generation Framework

## org.eclipse.gmf.mappings
Interface LinkMapping

All Superinterfaces:
  AppearanceSteward, org.eclipse.emf.ecore.EObject, MappingEntry, MenuOwner, NeedsContainment, org.eclipse.emf.common.notify.Notifier, ToolOwner

All Known Implementing Classes:
  LinkMappingImpl

    public interface LinkMapping

extends MappingEntry, NeedsContainment, MenuOwner, ToolOwner, AppearanceSteward

A representation of the model object 'Link Mapping'. Connection element

The following features are supported:

- `Diagram Link`
- `Source Meta Feature`
- `Link Meta Feature`
- `Creation Constraints`

See Also:
  `GMFMapPackage.getLinkMapping()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='domainMetaElement.oclIsUndefined() implies containmentFeature.oclIsUndefined() and sourceMetaFeature.oclIsUndefined()' description='Link mapping without \'Domain Element\' class does not use \'Containment Feature\' and \'Source Feature\''" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not domainMetaElement.oclIsUndefined() implies containmentFeature.eReferenceType.isSuperTypeOf(domainMetaElement)' description='\'Containment Feature\' must reference the same class or super type of \'Domain Element\' EClass'"

Method Summary
`LinkConstraints` `getCreationConstraints()` Returns the value of the 'Creation Constraints' containment reference.
`Connection` `getDiagramLink()` Returns the value of the 'Diagram Link' reference
`org.eclipse.emf.ecore.EStructuralFeature` `getLinkMetaFeature()` Returns the value of the 'Link Meta Feature' reference
`org.eclipse.emf.ecore.EStructuralFeature` `getSourceMetaFeature()` Returns the value of the 'Source Meta Feature' reference
`void` `setCreationConstraints(LinkConstraints value)` Sets the value of the '`Creation Constraints`' containment reference
`void` `setDiagramLink(Connection value)` Sets the value of the '`Diagram Link`' reference
`void` `setLinkMetaFeature(org.eclipse.emf.ecore.EStructuralFeature value)` Sets the value of the '`Link Meta Feature`' reference
`void` `setSourceMetaFeature(org.eclipse.emf.ecore.EStructuralFeature value)` Sets the value of the '`Source Meta Feature`' reference

Methods inherited from interface org.eclipse.gmf.mappings.MappingEntry
`getDomainContext, getDomainInitializer, getDomainMetaElement, getDomainSpecialization, getLabelMappings, getRelatedDiagrams, setDomainInitializer, setDomainMetaElement, setDomainSpecialization`

Methods inherited from interface org.eclipse.gmf.mappings.NeedsContainment
`getContainmentFeature, setContainmentFeature`

Methods inherited from interface org.eclipse.gmf.mappings.MenuOwner
`getContextMenu, setContextMenu`

Methods inherited from interface org.eclipse.gmf.mappings.ToolOwner
`getTool, setTool`

Methods inherited from interface org.eclipse.gmf.mappings.AppearanceSteward
`getAppearanceStyle, setAppearanceStyle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiagramLink

    Connection getDiagramLink()

  Returns the value of the 'Diagram Link' reference.

  If the meaning of the 'Diagram Link' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Link' reference.
  See Also:
    `setDiagramLink(Connection)`, `GMFMapPackage.getLinkMapping_DiagramLink()`
  ** Generated **
  Model:
    required="true"

### setDiagramLink

    void setDiagramLink(Connection value)

  Sets the value of the '`Diagram Link`' reference.

  Parameters:
    `value` - the new value of the 'Diagram Link' reference.
  See Also:
    `getDiagramLink()`
  ** Generated **

### getSourceMetaFeature

    org.eclipse.emf.ecore.EStructuralFeature getSourceMetaFeature()

  Returns the value of the 'Source Meta Feature' reference.

  If the meaning of the 'Source Meta Feature' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Meta Feature' reference.
  See Also:
    `setSourceMetaFeature(EStructuralFeature)`, `GMFMapPackage.getLinkMapping_SourceMetaFeature()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not domainMetaElement.oclIsUndefined() implies sourceMetaFeature.oclIsUndefined() or sourceMetaFeature.eContainingClass.isSuperTypeOf(domainMetaElement)' description='\'Source Feature\' must be owned by the link \'Domain Element\' or its super type'"

### setSourceMetaFeature

    void setSourceMetaFeature(org.eclipse.emf.ecore.EStructuralFeature value)

  Sets the value of the '`Source Meta Feature`' reference.

  Parameters:
    `value` - the new value of the 'Source Meta Feature' reference.
  See Also:
    `getSourceMetaFeature()`
  ** Generated **

### getLinkMetaFeature

    org.eclipse.emf.ecore.EStructuralFeature getLinkMetaFeature()

  Returns the value of the 'Link Meta Feature' reference.

  If the meaning of the 'Link Meta Feature' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Link Meta Feature' reference.
  See Also:
    `setLinkMetaFeature(EStructuralFeature)`, `GMFMapPackage.getLinkMapping_LinkMetaFeature()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not(domainMetaElement.oclIsUndefined() or linkMetaFeature.oclIsUndefined()) implies linkMetaFeature.eContainingClass.isSuperTypeOf(domainMetaElement)' description='\'Target Feature\' must be owned by the link \'Domain Element\' or its super type'"

### setLinkMetaFeature

    void setLinkMetaFeature(org.eclipse.emf.ecore.EStructuralFeature value)

  Sets the value of the '`Link Meta Feature`' reference.

  Parameters:
    `value` - the new value of the 'Link Meta Feature' reference.
  See Also:
    `getLinkMetaFeature()`
  ** Generated **

### getCreationConstraints

    LinkConstraints getCreationConstraints()

  Returns the value of the 'Creation Constraints' containment reference. It is bidirectional and its opposite is '`Link Mapping`'. Specifies additional restrictions on link creation

  Returns:
    the value of the 'Creation Constraints' containment reference.
  See Also:
    `setCreationConstraints(LinkConstraints)`, `GMFMapPackage.getLinkMapping_CreationConstraints()`, `LinkConstraints.getLinkMapping()`
  ** Generated **
  Model:
    opposite="linkMapping" containment="true"

### setCreationConstraints

    void setCreationConstraints(LinkConstraints value)

  Sets the value of the '`Creation Constraints`' containment reference.

  Parameters:
    `value` - the new value of the 'Creation Constraints' containment reference.
  See Also:
    `getCreationConstraints()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.